Bug 203940 - Multiple same specifications for /dev/console
Multiple same specifications for /dev/console
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-08-24 12:58 EDT by Jurgen Kramer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-28 14:20:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jurgen Kramer 2006-08-24 12:58:28 EDT
Description of problem:
With selinux enabled system drops into maintenance mode asking for the root

Version-Release number of selected component (if applicable):
rawhide 20060824

How reproducible:

Steps to Reproduce:
1. Boot with selinux enabled (default)
Actual results:
After tons of selinux avc: denied messages from (various critical components
including hwclock) the system drops to maintenance mode saying an error occurred
during the file system check and asks for the root password

Expected results:
Normal startup, no avc denied messages

Additional info:
filesystem is OK, booting with selinux=0 works
Comment 1 Jurgen Kramer 2006-08-24 13:10:02 EDT
I am currently trying to fix the problem with a 'fixfiles relabel' while booted
with selinux=0. fixfiles shows:

/etc/selinux/targeted/contexts/files/file_contexts: Multiple same specications
for /dev/console.
Comment 2 Jurgen Kramer 2006-08-24 13:27:42 EDT
Fffphew, fixfiles relabel fixed the problem. Now only some avc: denieds remain:

/etc/selinux/targeted/contexts/files/file_contexts: Multiple same specifications
for /dev/console. (message seen multiple times)

avc: denied { read } for pid=1643 comm="fsck.ext3" name="mtab" dev=dm-0
ino=1293435 scontext=system_u:system_r:fsadmin_t:s0
tcontext=system_u:object_r:file_t:s0 tclass=file

Modified bug summary and priority.
Comment 3 Daniel Walsh 2006-08-24 16:21:53 EDT
Fixed in 2.3.9-2
Comment 4 Jurgen Kramer 2006-08-28 14:20:16 EDT
Problem fixed :)

Note You need to log in before you can comment on or make changes to this bug.